package com.cloudcross.ssp.service;

import java.util.Map;

import com.cloudcross.ssp.base.service.IDspGenericService;
import com.cloudcross.ssp.model.DspAgent;

/**
 * 创建人：rongying
 * 创建时间：2015.12.11
 * dsp账户服务接口
 */

public interface IDspAgentService extends IDspGenericService<DspAgent>{
	
	/**
	 * 验证dsp账户是否符合
	 * 
	 * @param dspAgent
	 * 				实体对象
	 * @return 0代表不符合，否则代表符合。
	 */
	public int isCheck(DspAgent dspAgent);
	
	/**
	 * 查询最大的id - 插入时获取
	 * 
	 * @param paramMap
	 * 				名称和token
	 * @return 下一个id的值
	 */
	public Long selectMaxId(Map<String,Object> paramMap);
	
}
